
Foreman - Bug #256

Foreman allows Environment names to non-alpha numeric characters. Puppet allows environment

names to contain alpha-numeric characters only. 

05/15/2010 12:18 AM - Bash Shell

Status: Closed   

Priority: Normal   

Assignee: Paul Kelly   

Category:    

Target version: 0.1-5   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Puppet allows environment names to contain alpha-numeric characters only.

The Foreman should disallow non-alphanumeric characters in Environment names.

Associated revisions

Revision f34463c4 - 05/24/2010 07:25 AM - Paul Kelly

Fixes #256 - Environment names should be alphanumeric

History

#1 - 05/16/2010 12:33 PM - Ohad Levy

- Assignee set to Bash Shell

- Target version set to 0.1-5

should be a simple validates_format_of in the environment model, care to give it a try?

#2 - 05/24/2010 07:28 AM - Ohad Levy

- Assignee changed from Bash Shell to Paul Kelly

#3 - 05/24/2010 08:23 AM - Paul Kelly

- Status changed from New to Ready For Testing

- % Done changed from 0 to 100

Applied in changeset f34463c46a5e1f132e9c5d1cc396e866ada0cec4.

#4 - 05/24/2010 08:23 AM - Ohad Levy

- Status changed from Ready For Testing to Closed
